Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 1.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.fop.render.rtf.rtflib.rtfdoc
Interface ITableColumnsInfo

All Known Implementing Classes:
  TableContext

public interface ITableColumnsInfo

Used to get information about tables, for example when handling nested tables

Author:
  Bertrand Delacretaz bdelacretaz@codeconsult.ch

Field Summary
`static float` | `INVALID_COLUMN_WIDTH` value for invalid column width

Method Summary
`int` | `getColumnIndex()`
`float` | `getColumnWidth()` get current column width according to column iteration index
`boolean` | `getFirstSpanningCol()`
`int` | `getNumberOfColumns()`
`void` | `selectFirstColumn()` reset the column iteration index, meant to be called when creating a new row
`void` | `selectNextColumn()` increment the column iteration index

Field Detail

### INVALID_COLUMN_WIDTH

    public static final float INVALID_COLUMN_WIDTH

  value for invalid column width

  See Also:
    Constant Field Values

Method Detail

### selectFirstColumn

    public void selectFirstColumn()

  reset the column iteration index, meant to be called when creating a new row

### selectNextColumn

    public void selectNextColumn()

  increment the column iteration index

### getColumnWidth

    public float getColumnWidth()

  get current column width according to column iteration index

  Returns:
    INVALID_COLUMN_WIDTH if we cannot find the value

### getColumnIndex

    public int getColumnIndex()

  Returns:
    current column iteration index

### getNumberOfColumns

    public int getNumberOfColumns()

  Returns:
    number of columns

### getFirstSpanningCol

    public boolean getFirstSpanningCol()

  Returns:
    true, if it's the first of multiple spanning columns

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 1.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 1999-2010 The Apache Software Foundation. All Rights Reserved.